#pragma once
#ifndef __BLOB_H
#define __BLOB_H

#include <vector>
struct sphere;
struct ray;
struct material;

struct blob
{
    std::vector<point> centerList;
	float size;
    int materialId;
};

bool isBlobIntersected(const ray &r, const blob& b, float &t);

void blobInterpolation(point pos, const blob& b, material matList[], vecteur &vOut, material& matOut);

#endif // __BLOB_H
